<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.plan.FhzgPlanTransferSchemeStrategyScoreMapper">

    <insert id="batchInsert">
        insert into fhzg_plan_transfer_scheme_strategy_score
        (scheme_id,strategy_id,evaluation_index_id,loss_users,transfer_load_ratio,
        non_auto_switch_operation_times,opposite_line_max_load_rate,distribution_transformer_voltage,
        switch_operation_times)
        values
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.schemeId},#{item.strategyId},#{item.evaluationIndexId},#{item.lossUsers},#{item.transferLoadRatio},
            #{item.nonAutoSwitchOperationTimes},#{item.oppositeLineMaxLoadRate},#{item.distributionTransformerVoltage},
            #{item.switchOperationTimes})
        </foreach>
    </insert>
</mapper>
